<template>
    <div>
      <div class="section content-title-group">
        <h2 class="title">Edit SalesItem</h2>
        <div class="card">
          <header class="card-header">
            <p class="card-header-title">{{ itemDisplay }}</p>
          </header>
          <div class="card-content">
            <div class="content">
              <div class="field">
                <label class="label" for="id">SalesItem Id: </label>
                <label class="input" name="id" readonly>{{ salesItem.id }}</label>
              </div>
              <div class="field">
                <label class="label" for="item">Item</label>
                <input class="input" name="item" v-model="salesItem.item" />
              </div>
              <div class="field">
                <label class="label" for="type">Type</label>
                <input class="input" name="type" v-model="salesItem.type" />
              </div>
              <div class="field">
                <label class="label" for="price">Price</label>
                <input class="input" name="price" v-model="salesItem.price" />
              </div>
              <div class="field">
                <label class="label" for="cost">Cost</label>
                <input class="input" name="cost" v-model="salesItem.cost" />
              </div>

            </div>
          </div>
          <footer class="card-footer">
            <button
              class="link card-footer-item cancel-button"
              @click="cancelSalesItem()"
            >
              <i class="fas fa-undo"></i>
              <span>Cancel</span>
            </button>
            <button class="link card-footer-item" @click="saveSalesItem()">
              <i class="fas fa-save"></i>
              <span>Save</span>
            </button>
          </footer>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  import { dataService } from '../shared';
  
  export default {
    name: 'SalesItemDetail',
    props: {
      id: {
        type: Number,
        default: 0,
      },
    },
    data() {
      return {
        salesItem: {},
      };
    },
    async created() {
      this.salesItem = await dataService.getSalesItem(this.id);
    },
    computed: {
      itemDisplay() {
        return this.salesItem ? `${this.salesItem.item}` : '';
      },
    },
    methods: {
      cancelSalesItem() {
        this.$router.push({ name: 'SalesItems' });
      },
      async saveSalesItem() {
        await dataService.updateSalesItem(this.salesItem);
        this.$router.push({ name: 'SalesItems' });
      },
    },
  };
  </script>
  SalesItem